package com.huiju.estateagents.property.dao;


import com.huiju.estateagents.property.model.TaSysRole;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface TaSysRoleMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TaSysRole record);

    int insertSelective(TaSysRole record);

    TaSysRole selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TaSysRole record);

    int updateByPrimaryKey(TaSysRole record);

    TaSysRole findRoleByUserId(Integer userId);

}